Skip to content
Browse files

Merge pull request #9618 from manvsmachine/fix-postgres-enable-extens…

…ion-error

Bugfix for enable_extension in postgresql_adapter.

The use of quotations is required to install extensions with certain
characters in them (e.g. uuid-ossp).
  • Loading branch information...
2 parents a6bd507 + 511c5ec commit ddd034f3a6570d3522471fbe173162a24879df4b @carlosantoniodasilva carlosantoniodasilva committed Mar 9, 2013
Showing with 1 addition and 1 deletion.
  1. +1 −1 activerecord/lib/active_record/connection_adapters/postgresql_adapter.rb
View
2 activerecord/lib/active_record/connection_adapters/postgresql_adapter.rb
@@ -594,7 +594,7 @@ def supports_ranges?
end
def enable_extension(name)
- exec_query("CREATE EXTENSION IF NOT EXISTS #{name}").tap {
+ exec_query("CREATE EXTENSION IF NOT EXISTS \"#{name}\"").tap {
reload_type_map
}
end

0 comments on commit ddd034f

Please sign in to comment.
Something went wrong with that request. Please try again.